Skip to main content
`Ctrl`+`K`

# MatInvertBlockDiagonalMat

set the values of matrix C to be the inverted block diagonal of matrix A

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatInvertBlockDiagonalMat(Mat A, Mat C)

Collective

## Input Parameters

- A - the matrix

- C - matrix with inverted block diagonal of `A`. This matrix should be created and may have its type set.

## Note

The blocksize of the matrix is used to determine the blocks on the diagonal of `C`

## See Also

Matrices, `Mat`, `MatInvertBlockDiagonal()`

## Level

advanced

## Location

src/mat/interface/matrix.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages